Bug 1060311 - CACHE_MODE_LOCAL flag only works in primary owner for non-tx caches
Summary: CACHE_MODE_LOCAL flag only works in primary owner for non-tx caches
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR1
: 6.2.1
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-31 18:40 UTC by Pedro Ruivo
Modified: 2018-09-12 22:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The CACHE_MODE_LOCAL flag does not force the EntryWrappingInterceptor to wrap the entry. As a result, the entry will not be stored in the non-transactional cache if the current node is not the primary owner of the entry. This has been fixed for replicated mode. In distributed mode, such an operation stores the entry in L1 cache if it is enabled. If L1 cache is disabled and current node is not the primary owner of the entry, then this is a no-operation.
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-3845 Major Resolved CACHE_MODE_LOCAL flag only works in primary owner for non-tx caches 2016-08-08 13:48:22 UTC

Description Pedro Ruivo 2014-01-31 18:40:19 UTC
the CACHE_MODE_LOCAL flag is not forcing the EntryWrappingInterceptor to wrap the entry. the result is the entry will not be stored in the cache.

It's causing the random failures in:
* HotRodReplicationTest.testReplicatedPutWithTopologyChanges	
* HotRod11ReplicationTest.testReplicatedPutWithTopologyChanges	
* HotRod12ReplicationTest.testReplicatedPutWithTopologyChanges


Note You need to log in before you can comment on or make changes to this bug.